%% test boxPlot
clear all;
close all;
clc;

addpath(genpath(pwd));

%% data
[NUM,TXT,~] = xlsread('hodnoty_parametru');

data = cell(1,2);
healthy = 1:50;
pathological = 51:length(NUM);

%% create and save plots

 for parameter_no = 63:70

data{1}=(NUM(healthy,parameter_no));
data{2}=(NUM(pathological,parameter_no));

options.xlabel = TXT{3,parameter_no+1};
options.ylabel = 'Funkce hustoty pravděpodobnosti';
options.legend = {'Zdravá řeč', 'Dysartrická řeč'};

kernel_densityPlot(data, options);

fpath = 'C:\Users\Axeliczech\Downloads\kowolowski\semestralka\Výsledné grafy';
saveas(gca, fullfile(fpath, options.xlabel), 'eps');
saveas(gca, fullfile(fpath, options.xlabel), 'png');

 end